SimpleTextTermVectorsWriter (Lucene 10.5.0 codecs API)
Description: declaration: package: org.apache.lucene.codecs.simpletext, class: SimpleTextTermVectorsWriter

Package org.apache.lucene.codecs.simpletext

# Class SimpleTextTermVectorsWriter

java.lang.Object
org.apache.lucene.codecs.TermVectorsWriter
org.apache.lucene.codecs.simpletext.SimpleTextTermVectorsWriter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Accountable`

public class SimpleTextTermVectorsWriter extends TermVectorsWriter
Writes plain-text term vectors.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.util.Accountable

  `NULL_ACCOUNTABLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleTextTermVectorsWriter(Directory directory, String segment, IOContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPosition(int position, int startOffset, int endOffset, BytesRef payload)`
  `void`
  `close()`
  `void`
  `finish(int numDocs)`
  `long`
  `ramBytesUsed()`
  `void`
  `startDocument(int numVectorFields)`
  `void`
  `startField(FieldInfo info, int numTerms, boolean positions, boolean offsets, boolean payloads)`
  `void`
  `startTerm(BytesRef term, int freq)`

  ### Methods inherited from class org.apache.lucene.codecs.TermVectorsWriter

  `addAllDocVectors, addProx, finishDocument, finishField, finishTerm, merge`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.util.Accountable

  `getChildResources`

- ## Constructor Details

  - ### SimpleTextTermVectorsWriter

    public SimpleTextTermVectorsWriter(Directory directory, String segment, IOContext context) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### startDocument

    public void startDocument(int numVectorFields) throws IOException
    Specified by:
      `startDocument` in class `TermVectorsWriter`
    Throws:
      `IOException`

  - ### startField

    public void startField(FieldInfo info, int numTerms, boolean positions, boolean offsets, boolean payloads) throws IOException
    Specified by:
      `startField` in class `TermVectorsWriter`
    Throws:
      `IOException`

  - ### startTerm

    public void startTerm(BytesRef term, int freq) throws IOException
    Specified by:
      `startTerm` in class `TermVectorsWriter`
    Throws:
      `IOException`

  - ### addPosition

    public void addPosition(int position, int startOffset, int endOffset, BytesRef payload) throws IOException
    Specified by:
      `addPosition` in class `TermVectorsWriter`
    Throws:
      `IOException`

  - ### finish

    public void finish(int numDocs) throws IOException
    Specified by:
      `finish` in class `TermVectorsWriter`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Specified by:
      `close` in class `TermVectorsWriter`
    Throws:
      `IOException`

  - ### ramBytesUsed

    public long ramBytesUsed()